# Error and gamma functions

xtensor provides the following error and gamma functions for xexpressions:

Defined in `xtensor/xmath.hpp`

template<class E>
inline auto xt::erf(E &&e) noexcept -> detail::xfunction_type_t<math::erf_fun, E>

  Error function.

  Returns an xfunction for the element-wise error function of e.

  Parameters

    e – an xexpression

  Returns

    an xfunction

template<class E>
inline auto xt::erfc(E &&e) noexcept -> detail::xfunction_type_t<math::erfc_fun, E>

  Complementary error function.

  Returns an xfunction for the element-wise complementary error function of e, whithout loss of precision for large argument.

  Parameters

    e – an xexpression

  Returns

    an xfunction

template<class E>
inline auto xt::tgamma(E &&e) noexcept -> detail::xfunction_type_t<math::tgamma_fun, E>

  Gamma function.

  Returns an xfunction for the element-wise gamma function of e.

  Parameters

    e – an xexpression

  Returns

    an xfunction

template<class E>
inline auto xt::lgamma(E &&e) noexcept -> detail::xfunction_type_t<math::lgamma_fun, E>

  Natural logarithm of the gamma function.

  Returns an xfunction for the element-wise logarithm of the asbolute value fo the gamma function of e.

  Parameters

    e – an xexpression

  Returns

    an xfunction